clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::dependencies::DependencyScanningService Class Reference

The dependency scanning service contains the shared state that is used by the invidual dependency scanning workers. More...

`#include "clang/Tooling/DependencyScanning/DependencyScanningService.h"`

## Public Member Functions
| DependencyScanningService (ScanningMode Mode, ScanningOutputFormat Format, bool ReuseFileManager=true, bool SkipExcludedPPRanges=true)
ScanningMode | getMode () const
ScanningOutputFormat | getFormat () const
bool | canReuseFileManager () const
bool | canSkipExcludedPPRanges () const
DependencyScanningFilesystemSharedCache & | getSharedCache ()

## Detailed Description

The dependency scanning service contains the shared state that is used by the invidual dependency scanning workers.

Definition at line 47 of file DependencyScanningService.h.

## Constructor & Destructor Documentation

## ◆ DependencyScanningService()

DependencyScanningService::DependencyScanningService | ( | ScanningMode | Mode,
|  | ScanningOutputFormat | Format,
|  | bool | ReuseFileManager = `true`,
|  | bool | SkipExcludedPPRanges = `true`
| ) |  |

Definition at line 15 of file DependencyScanningService.cpp.

## Member Function Documentation

## ◆ canReuseFileManager()

bool clang::tooling::dependencies::DependencyScanningService::canReuseFileManager | ( |  | ) | const
| inline

Definition at line 57 of file DependencyScanningService.h.

Referenced by clang::tooling::dependencies::DependencyScanningWorker::DependencyScanningWorker().

## ◆ canSkipExcludedPPRanges()

bool clang::tooling::dependencies::DependencyScanningService::canSkipExcludedPPRanges | ( |  | ) | const
| inline

Definition at line 59 of file DependencyScanningService.h.

Referenced by clang::tooling::dependencies::DependencyScanningWorker::DependencyScanningWorker().

## ◆ getFormat()

ScanningOutputFormat clang::tooling::dependencies::DependencyScanningService::getFormat | ( |  | ) | const
| inline

Definition at line 55 of file DependencyScanningService.h.

## ◆ getMode()

ScanningMode clang::tooling::dependencies::DependencyScanningService::getMode | ( |  | ) | const
| inline

Definition at line 53 of file DependencyScanningService.h.

Referenced by clang::tooling::dependencies::DependencyScanningWorker::DependencyScanningWorker().

## ◆ getSharedCache()

DependencyScanningFilesystemSharedCache& clang::tooling::dependencies::DependencyScanningService::getSharedCache | ( |  | ) |
| inline

Definition at line 61 of file DependencyScanningService.h.

Referenced by clang::tooling::dependencies::DependencyScanningWorker::DependencyScanningWorker().

The documentation for this class was generated from the following files:

- include/clang/Tooling/DependencyScanning/DependencyScanningService.h
- lib/Tooling/DependencyScanning/DependencyScanningService.cpp